﻿using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models.OutStore
{
    /// <summary>
    /// 出库管理/装配记录表，数据实体对象
    ///
    /// @author admin
    /// @date 2023-04-14
    /// </summary>
    [SugarTable("out_assemble_record")]
    public class OutAssembleRecord : BusinessBase
    {
        /// <summary>
        /// 装配记录Id 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int AssembleId { get; set; }

        /// <summary>
        /// 生产令号 
        /// </summary>
        public string BomNo { get; set; }

        /// <summary>
        /// 物料编码 
        /// </summary>
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称 
        /// </summary>
        public string MaterialName { get; set; }

        /// <summary>
        /// 物料规格 
        /// </summary>
        public string MaterialSpec { get; set; }

        /// <summary>
        /// 类别 
        /// </summary>
        public string Category { get; set; }

        /// <summary>
        /// 关键件标识（0非关键件，1关键件） 
        /// </summary>
        public bool KeyFlag { get; set; }

        /// <summary>
        /// 装配数量 
        /// </summary>
        public int AssembleQty { get; set; }

        /// <summary>
        /// 实物图片 
        /// </summary>
        public byte[] Picture { get; set; }

        /// <summary>
        /// 装配结果 
        /// </summary>
        public int Result { get; set; }

        /// <summary>
        /// BN/SN码 
        /// </summary>
        public string BnSnCode { get; set; }

    }
}